/*
 * Copyright (c) 2007, Thomas Robinson
 * 
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
 * 
 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
 * Neither the name of the tlrobinson.net nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */

function initXbmcHttp() {
	// reset then set the response format
	xbmcHttpSimple("SetResponseFormat", function() {
		xbmcHttpSimple("SetResponseFormat(webheader;false;webfooter;false;opentag;)", function() {
			console.log("Response Format Set");
		});
	});
}

function xbmcForm() {
	xbmcCmds("xbmcForm", arguments);
}

function xbmcHttp() {
	xbmcCmds("xbmcHttp", arguments);
}

function xbmcHttpSimple(command, handler) {
    var functionCall = command;
    var type = "xbmcHttp";
    
    var url = "http://"+window.location.host+"/xbmcCmds/"+type+"?command="+functionCall;
    console.log("XHR request starting...");
    console.log("Handler: " + handler);
    
    // TODO - should pass in the handler, and have that do the insertion
	x$(window).xhr(url, {callback:function(e){ console.log(e) }});
}


function formatSize(original) {
	var size = parseInt(original);
	var units = ["B", "KB", "MB", "GB", "TB"];
	var unitNum = 0;
	while (size > 1024) {
		size /= 1024;
		unitNum++;
	}
	return (Math.round(size*100)/100) + " " + units[unitNum];
}
